
class Scene():
    """
    The data structure of .mgpscene files.
    """

    buildIndex = 0
    """
    The index of scene from Build Settings.
    """


    isDirty = False
    """
    If scene is modified, then return True.
    """


    isLoaded = False
    """
    If scene is loaded, then return True.
    """


    name = None
    """
    Scene's name.
    """


    path = None
    """
    Scene File's relative path.
    """


    rootCount = 0
    """
    The count of root Transform.
    """


    def getRootGameObjects(self):
        # TODO
        return None

    
    def isValid(self):
        # TODO
        return False


class SceneManager():
    """
    Supports runtime scene management.
    """


    sceneCount = 0
    """
    The count of current loaded scenes.
    """


    sceneCountInBuildSettings = 0
    """
    The count of scenes in Build Settings.
    """


    @classmethod
    def createScene(name : str) -> Scene:
        # TODO
        return None


    @classmethod
    def getActiveScene() -> Scene:
        # TODO
        return None

